import vs
import os
import time
import string
from PySide import QtCore
from PySide import QtGui

def getCustomColor():
		color = QtGui.QColorDialog.getColor()
		return color


def setAnimationSetColor(colorInput):

	shot = sfm.GetCurrentShot() #get session
	animSet = sfm.GetCurrentAnimationSet() #get selected animation set

	controlGroup = animSet.GetRootControlGroup()

	color = vs.Color(colorInput.red(), colorInput.green(), colorInput.blue(), colorInput.alpha()) #RGBA

	sfmUtils.SetControlGroupColor(controlGroup, color) #set the GroupColor

setAnimationSetColor(getCustomColor())